> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Information

> Get audio, video, script and other information associated with a generated video



## OpenAPI

````yaml get /project/assets/video/{id}/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/video/{id}/:
    get:
      tags:
        - project
      description: Get audio, video and script associated with the generated video.
      operationId: Get Video
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this video.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiVideo'
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ApiVideo:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the Video.
        title:
          type: string
          readOnly: true
          description: Name of the Video.
        video_status:
          allOf:
            - $ref: '#/components/schemas/VideoStatusEnum'
          readOnly: true
          description: |-
            Status of the video i.e. whether it's completed or failed.

            * `Pending` - Pending
            * `Complete` - Complete
            * `Queued` - Queued
            * `Processing` - Processing
            * `Failed` - Failed
        avatar:
          allOf:
            - $ref: '#/components/schemas/PartialAvatar'
          readOnly: true
          description: Avatar used for video generation.
        language:
          allOf:
            - $ref: '#/components/schemas/Language'
          readOnly: true
          description: >-
            Language used to generated the video. `null` incase video was
            created from audio.
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          readOnly: true
          description: Detail of the user who generated the video.
        script_plain_text:
          type: string
          readOnly: true
          description: >-
            Plain text script used to create the video. `null` incase video was
            created from audio.
        background_color:
          type: string
          readOnly: true
          description: >-
            The background color video. A six-bit hex color code starts with #.
            (e.g. #DRDRDR)
        aspect_ratio:
          allOf:
            - $ref: '#/components/schemas/AspectRatioEnum'
          readOnly: true
          description: |-
            Aspect ratio of the video.

            * `16:9` - 16:9 - Standard widescreen
            * `9:16` - 9:16 - Vertical
            * `4:3` - 4:3 - Traditional TV format
            * `1:1` - 1:1 - Square
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: DateTime when the video generation was requested.
        audio_download_url:
          type: string
          format: uri
          readOnly: true
          description: >-
            Url of the audio track used to generate the
            video.                                                _Note: Link
            will be valid for the next 60 minutes._
        video_duration:
          type: integer
          readOnly: true
          description: Duration of the generated video in seconds.
        video_download_url:
          type: string
          format: uri
          readOnly: true
          description: >-
            URL of the generated
            video.                                                _Note: Link
            will be valid for the next 60 minutes._
      required:
        - aspect_ratio
        - audio_download_url
        - avatar
        - background_color
        - created_at
        - creator
        - id
        - language
        - script_plain_text
        - title
        - video_download_url
        - video_duration
        - video_status
    VideoStatusEnum:
      enum:
        - Pending
        - Complete
        - Queued
        - Processing
        - Failed
      type: string
      description: |-
        * `Pending` - Pending
        * `Complete` - Complete
        * `Queued` - Queued
        * `Processing` - Processing
        * `Failed` - Failed
    PartialAvatar:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the Avatar.
        name:
          type: string
          readOnly: true
          description: Name of the Avatar.
      required:
        - id
        - name
    Language:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the Language.
        name:
          type: string
          readOnly: true
          description: Name of the Language.
      required:
        - id
        - name
    Creator:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the user.
        name:
          type: string
          readOnly: true
          description: Name of the user.
      required:
        - id
        - name
    AspectRatioEnum:
      enum:
        - '16:9'
        - '9:16'
        - '4:3'
        - '1:1'
      type: string
      description: |-
        * `16:9` - 16:9 - Standard widescreen
        * `9:16` - 9:16 - Vertical
        * `4:3` - 4:3 - Traditional TV format
        * `1:1` - 1:1 - Square
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````